D-Bus: DBusServer implementations for UNIX

D-Bus 1.14.10

Functions
DBusServer implementations for UNIX
D-Bus secret internal implementation details

Implementation details of DBusServer on UNIX. More...

## Functions
DBusServerListenResult | _dbus_server_listen_platform_specific (DBusAddressEntry *entry, DBusServer **server_p, DBusError *error)
| Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.
DBusServer * | _dbus_server_new_for_domain_socket (const char *path, dbus_bool_t abstract, DBusError *error)
| Creates a new server listening on the given Unix domain socket.

## Detailed Description

Implementation details of DBusServer on UNIX.

## Function Documentation

## ◆ _dbus_server_listen_platform_specific()

DBusServerListenResult _dbus_server_listen_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusServer ** | server_p,
|  | DBusError * | error
| ) |  |

Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

Sets error if the result is not OK.

Parameters

  entry | an address entry
  server_p | location to store a new DBusServer, or NULL on failure.
  error | location to store rationale for failure on bad address

Returns
  the outcome

Definition at line 54 of file dbus-server-unix.c.

## ◆ _dbus_server_new_for_domain_socket()

DBusServer * _dbus_server_new_for_domain_socket | ( | const char * | path,
|  | dbus_bool_t | abstract,
|  | DBusError * | error
| ) |  |

Creates a new server listening on the given Unix domain socket.

Parameters

  path | the path for the domain socket.
  abstract | TRUE to use abstract socket namespace
  error | location to store reason for failure.

Returns
  the new server, or NULL on failure.

Definition at line 302 of file dbus-server-unix.c.

References _dbus_address_append_escaped(), _dbus_close_socket(), _dbus_listen_unix_socket(), _dbus_server_new_for_socket(), _dbus_server_socket_own_filename(), _dbus_strdup(), _dbus_string_append(), _dbus_string_free(), _dbus_string_init(), _dbus_string_init_const(), DBUS_ERROR_NO_MEMORY, dbus_free(), dbus_set_error(), and NULL.

Referenced by _dbus_server_listen_platform_specific().